## xfireworks 1.3

=== Makefile ===
VERSION = XFireworks-1.3
PKGNAME = xfireworks-1.3
PREFIX = /usr/X11R6
X11BASE = /usr/X11R6

BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/etc
MANDIR = $(PREFIX)/man/man1

XINCLUDEDIR = $(X11BASE)/include
XLIBDIR = $(X11BASE)/lib

CFLAGS = -O
LFLAGS = -lm -lX11
CC = cc
CP = cp
RM = rm -f
MKDIR = mkdir -p
RMDIR = rmdir
CHMOD = chmod

XFIREWORKS_CONF_DIRECTRY = $(LIBDIR)

OBJS = main.o AfterImage.o Disp.o ColorGC.o Obj.o Stream.o Piece.o XFireworks.o Calculator.o etc.o arguments.o

all :		xfireworks manual

xfireworks :	$(OBJS)
		$(CC) -o xfireworks $(OBJS) -L$(XLIBDIR) $(CFLAGS) $(LFLAGS)

main.o :	main.c
		$(CC) -c main.c $(CFLAGS) \
		-DVERSION=\"$(VERSION)\" \
		-DXFIREWORKS_CONF_DIRECTRY=\"$(XFIREWORKS_CONF_DIRECTRY)\"

AfterImage.o :	AfterImage.c
		$(CC) -c AfterImage.c -I$(XINCLUDEDIR) $(CFLAGS)

Disp.o :	Disp.c
		$(CC) -c Disp.c -I$(XINCLUDEDIR) $(CFLAGS)

ColorGC.o :	ColorGC.c
		$(CC) -c ColorGC.c -I$(XINCLUDEDIR) $(CFLAGS)

Obj.o :		Obj.c
		$(CC) -c Obj.c $(CFLAGS)

Stream.o :	Stream.c
		$(CC) -c Stream.c $(CFLAGS)

Calculator.o :	Calculator.c
		$(CC) -c Calculator.c $(CFLAGS)

Piece.o :	Piece.c
		$(CC) -c Piece.c -I$(XINCLUDEDIR) $(CFLAGS)

XFireworks.o :	XFireworks.c xfireworks_conf.h
		$(CC) -c XFireworks.c -I$(XINCLUDEDIR) $(CFLAGS)

xfireworks_conf.h :	xfireworks.conf mkconf
		cat xfireworks.conf | ./mkconf > xfireworks_conf.h

mkconf :	mkconf.c
		$(CC) mkconf.c -o mkconf

etc.o :		etc.c
		$(CC) -c etc.c $(CFLAGS)

arguments.o :	arguments.c
		$(CC) -c arguments.c $(CFLAGS)

manual :	xfireworks.1.gz

xfireworks.1.gz :	xfireworks.1
		cat xfireworks.1 | gzip > xfireworks.1.gz

clean :
		$(RM) *.o xfireworks xfireworks_conf.h mkconf xfireworks.1.gz

install :	install-bin install-lib install-man

install-bin :	xfireworks
		$(MKDIR) $(BINDIR)
		$(CP) xfireworks $(BINDIR)
		$(CHMOD) 0755 $(BINDIR)/xfireworks

install-lib :
		$(MKDIR) $(LIBDIR)
		$(CP) xfireworks.conf $(LIBDIR)
		$(CHMOD) 0644 $(LIBDIR)/xfireworks.conf

install-man :	manual
		$(MKDIR) $(MANDIR)
		$(CP) xfireworks.1.gz $(MANDIR)
		$(CHMOD) 0444 $(MANDIR)/xfireworks.1.gz

uninstall :	uninstall-bin uninstall-lib uninstall-man

uninstall-bin :
		$(RM) $(BINDIR)/xfireworks

uninstall-lib :
		$(RM) $(LIBDIR)/xfireworks.conf

uninstall-man :
		$(RM) $(MANDIR)/xfireworks.1.gz

package :
		$(MKDIR) $(PKGNAME)
		$(RM) $(PKGNAME)/*
		$(CP) AUTHORS COPYING COPYRIGHT ChangeLog HISTORY INSTALL \
			NEWS README OMAKE.jpn Makefile xfireworks.conf \
			xfireworks.1 *.h *.c $(PKGNAME)
		$(RM) $(PKGNAME)/xfireworks_conf.h
		tar cvzf $(PKGNAME).tar.gz $(PKGNAME)

# End of Makefile.

=== debian/changelog ===
xfireworks (1.3-9) unstable; urgency=low

  * update standard version
  * hardening
  * remove linintan warning

 -- Yukiharu YABUKI <yyabuki@debian.org>  Wed, 11 Jul 2012 04:47:02 +0900

xfireworks (1.3-8) unstable; urgency=low

  * converting to source format 3.0 (quilt)

 -- Yukiharu YABUKI <yyabuki@debian.org>  Wed, 07 Apr 2010 15:49:02 +0900

xfireworks (1.3-7) unstable; urgency=low

  * Correct lintian errors
   - remove prerm
  * Disp.c (Disp_Create): Fix a bug, replacing NULL to 0.

 -- Yukiharu YABUKI <yabuki@netfort.gr.jp>  Sun, 14 Jun 2009 23:16:02 +0900

xfireworks (1.3-6) unstable; urgency=low

  * I adopt the package from orphaned list. (closes: #448110).
  * Set DH_COMPAT=5.
   - In copyright file.
   -   correct FSF address.
   -   Point License file.
   -   Change Author(s)(plural) to Author(Singular).
   - In docs file.
   -   Remove INSTALL document in Debian package. Package users don't need it.
   -   Remove NEWS document in Debian package. It is 0 byte.
   - In controle file
   -  set new maintainer name and email.
   -  upgrade standard version 3.7.2 to 3.7.3.
   - In menu file.
   -   Added quote for needs and section.
   - In rules file.
   -   Do not use -$(MAKE). Change [ ! -f Makefile ] || $(MAKE). 
   -   Change working directory 'tmp' to 'xfireworks'.
  * Make debian/compat file.
   - Do not set DH_COMPAT in rules file.

 -- Yukiharu YABUKI <yabuki@netfort.gr.jp>  Sun, 14 Jun 2009 23:10:26 +0900

xfireworks (1.3-5) unstable; urgency=low

  * Orphaned (#448110). Set maintainer to QA Group.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 26 Oct 2007 15:31:44 +0900

xfireworks (1.3-4) unstable; urgency=medium

  * Fix FTBFS of xlibs-dev transition (closes: #346814)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 10 Jan 2006 19:42:28 +0900

xfireworks (1.3-3) unstable; urgency=low

  * Add build-depends. Thanks Daniel (closes: Bug#190624).

 -- Kenshi Muto <kmuto@debian.org>  Fri, 25 Apr 2003 14:10:42 +0900

xfireworks (1.3-2) unstable; urgency=low

  * Remove duplicated manpage from man1 (closes: Bug#83310).
    Thanks, Micha.

 -- Kenshi Muto <kmuto@debian.org>  Fri,  9 Feb 2001 23:36:39 +0900

xfireworks (1.3-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Fri, 18 Aug 2000 18:31:39 +0900

xfireworks (1.1-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Mon, 31 Jul 2000 17:24:22 +0900

xfireworks (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 28 Jul 2000 11:31:18 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xfireworks
Section: games
Priority: optional
Maintainer: Yukiharu YABUKI <yyabuki@debian.org>
Standards-Version: 3.9.3
Build-Depends: libx11-dev, debhelper (>= 5)

Package: xfireworks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fireworks in your root window
 XFireworks makes fireworks in the root window on X.
 This is imitation of Japanese "Hanabi Taikai". It is very popular event
 in Japanese summer  and  performed  on  some rivers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) BINDIR=/usr/games LIBDIR=/etc/X11/xfireworks MANDIR=/usr/share/man/man6

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	 [ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/xfireworks.
	$(MAKE) BINDIR=`pwd`/debian/xfireworks/usr/games LIBDIR=`pwd`/debian/xfireworks/etc/X11/xfireworks MANDIR=`pwd`/debian/xfireworks/usr/share/man/man6 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_lintian
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
